de.esprit.appsuite.gui.pathtree

## Class GuiPathTreeModelDriver<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.nio.watcher.PathTreeModelDriver<C>
      - - de.esprit.appsuite.nio.watcher.LocalPathTreeModelDriver<C>
        - - de.esprit.appsuite.gui.pathtree.GuiPathTreeModelDriver<C>

- All Implemented Interfaces:
    ApplicationObject<C>, PathChangeEvent.Source, PathRegistrationEvent.Source, SimpleLogSupport, Dumpable, Resettable

      public class GuiPathTreeModelDriver<C extends ApplicationContext>
      extends LocalPathTreeModelDriver<C>

  This is a special `LocalPathTreeModelDriver` which fires any path events within the event dispatcher thread.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.nio.watcher.LocalPathTreeModelDriver

      `watcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiPathTreeModelDriver(C ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `firePathChangeEvent(PathChangeEvent e)`
    `protected void` | `firePathRegistrationEvent(PathRegistrationEvent e)`

    - ### Methods inherited from class de.esprit.appsuite.nio.watcher.LocalPathTreeModelDriver

      `createPathInfo, getPathFilter, getPathWatcher, isWatchServiceRunning, loadChildren, renamePath, reset, setPathFilter, setPermissionFilter, startWatchService, stopWatchService`

    - ### Methods inherited from class de.esprit.appsuite.nio.watcher.PathTreeModelDriver

      `addPathChangeListener, addPathRegistrationListener, removePathChangeListener, removePathRegistrationListener`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiPathTreeModelDriver

          public GuiPathTreeModelDriver(C ctx)

  - ### Method Detail

    - #### firePathChangeEvent

          protected final void firePathChangeEvent(PathChangeEvent e)

      Overrides:
        `firePathChangeEvent` in class `PathTreeModelDriver<C extends ApplicationContext>`

    - #### firePathRegistrationEvent

          protected final void firePathRegistrationEvent(PathRegistrationEvent e)

      Overrides:
        `firePathRegistrationEvent` in class `PathTreeModelDriver<C extends ApplicationContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.